__gnu_pbds::detail::ov_tree_node_it_< Value_Type, Metadata_Type, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::ov_tree_node_it_< Value_Type, Metadata_Type, _Alloc > - Node reference.

SYNOPSIS

#include <node_iterators.hpp>

Inherits __gnu_pbds::detail::ov_tree_node_const_it_< Value_Type, Metadata_Type, _Alloc >.

  Public Types

typedef rebind_traits< _Alloc, typenameremove_const< Value_Type >::type >::pointer const_reference
typedef trivial_iterator_difference_type difference_type
typedef trivial_iterator_tag iterator_category
typedef rebind_traits< _Alloc, metadata_type >::const_reference metadata_const_reference
typedef Metadata_Type metadata_type
typedef rebind_traits< _Alloc, typenameremove_const< Value_Type >::type >::pointer reference
typedef rebind_traits< _Alloc, Value_Type >::pointer value_type

  Public Member Functions

ov_tree_node_it_ (const_pointer p_nd=0, const_pointer p_begin_nd=0, const_pointer p_end_nd=0, const_metadata_pointer p_metadata=0)
ov_tree_node_it_ get_l_child () const
Returns the node reference associated with the left node.
metadata_const_reference get_metadata () const
ov_tree_node_it_ get_r_child () const
Returns the node reference associated with the right node.
bool operator!= (const this_type &other) const
reference operator* () const
Access.
bool operator== (const this_type &other) const

  Public Attributes

pointer m_p_begin_value
pointer m_p_end_value
const_metadata_pointer m_p_metadata
pointer m_p_value

  Static Protected Member Functions

template<typename Ptr> static Ptr mid_pointer (Ptr p_begin, Ptr p_end)

Detailed Description

  template<typename Value_Type, typename Metadata_Type, typename _Alloc>
class __gnu_pbds::detail::ov_tree_node_it_< Value_Type, Metadata_Type, _Alloc >"Node reference.

Member Function Documentation

  template<typename Value_Type, typename Metadata_Type, typename _Alloc> ov_tree_node_it_ __gnu_pbds::detail::ov_tree_node_it_< Value_Type, Metadata_Type, _Alloc >::get_l_child () const [inline]

Returns the node reference associated with the left node.

  template<typename Value_Type, typename Metadata_Type, typename _Alloc> ov_tree_node_it_ __gnu_pbds::detail::ov_tree_node_it_< Value_Type, Metadata_Type, _Alloc >::get_r_child () const [inline]

Returns the node reference associated with the right node.

  template<typename Value_Type, typename Metadata_Type, typename _Alloc> reference __gnu_pbds::detail::ov_tree_node_it_< Value_Type, Metadata_Type, _Alloc >::operator* () const [inline]

Access.

Author

Generated automatically by Doxygen for libstdc++ from the source code.